#include <Wire.h>
#include <Adafruit_MPR121.h>

Adafruit_MPR121 cap = Adafruit_MPR121();

uint16_t currenttouched = 0;
const uint16_t wait = 100;
int var =0;


void setup()
    {
       // put your setup code here, to run once:

      Serial.begin(9600);

      if (!cap.begin(0x5A))
          {
            Serial.println("MPR121 not found, check wiring?");
            while (1);
          }
 
   }

void loop()
     {
         // put your main code here, to run repeatedly:
         currenttouched = cap.touched();
         var =0;
         //-------------------------SW1-----------------------------
         if(currenttouched & _BV(0)) //  up
             {
               var = 1;
               Serial.print(var);
               Serial.print(".");
               delay(wait);
             }
 
        //-----------------------SW2--------------------------------
        if( currenttouched & _BV(1))  // down
            {
              var = 2;
              Serial.print(var);
              Serial.print(".");
              delay(wait);
            }
  
        //----------------------------SW3---------------------------
       if( currenttouched & _BV(2))  // right
           {
             var = 3;
             Serial.print(var);
             Serial.print(".");
             delay(wait);
           }

       //---------------------------SW4------------------------------
       if( currenttouched & _BV(3))  // left 
          {
            var = 4;
            Serial.print(var);
            Serial.print(".");
            delay(wait);
          }
      //--------------------------SW5-----------------------------
     if(currenttouched & _BV(4))  // space
         {
           var = 5;
           Serial.print(var);
           Serial.print(".");
           delay(wait);
         }
    //-------------------------SW6--------------------------
    if(currenttouched & _BV(6))   // shift
        {
          var = 6;
          Serial.print(var);
          Serial.print(".");
          delay(wait);
        }
     // ----------------------SW7---------------------------
    if(currenttouched & _BV(7)) //  enter
       {
         var = 7;
         Serial.print(var);
         Serial.print(".");
         delay(wait);
       }
    else
       {
         Serial.print(var);
         Serial.print(".");
       }
 
  }
